Sisyphus repositório
Última atualização: 22 outubro 2019 | SRPMs: 17517 | Visitas: 15426413
en ru br
Mantenedor: Anton V. Boyarshiniv

 Informação   Pacotes   Bugs e FR  Repocop 

Mensagem de Repocop:

pacote estado teste mensagem
alt-domain-server-0.5.3-alt1.noarch
info
missing-url Missing Url: in a package.
alt-domain-server-0.5.3-alt1.noarch
info
rpm-obsolete-live-package The package obsoletes the package installer-feature-setup-openldap-0.3-alt1.noarch, but the package installer-feature-setup-openldap-0.3-alt1.noarch is still alive and in the repository. Ask its maintainer to remove it, or, if it should not be removed, remove the Obsoletes: tag. Do not forget to add explicit conflicts with the other package if nessessary.
alterator-kdc-0.5-alt2.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/alterator-kdc-functions
alterator-net-domain-0.7.0-alt8.x86_64
fail
unsafe-tmp-usage-in-scripts The test discovered scripts with errors which may be used by a user for damaging important system files. For example if a script uses in its work a temp file which is created in /tmp directory, then every user can create symlinks with the same name (pattern) in this directory in order to destroy or rewrite some system or another user's files. Scripts _must_ _use_ mktemp/tempfile or must use $TMPDIR. mktemp/tempfile is safest. $TMPDIR is safer than /tmp/ because libpam-tmpdir creates a subdirectory of /tmp that is only accessible by that user, and then sets TMPDIR and other variables to that. Hence, it doesn't matter nearly as much if you create a non-random filename, because nobody but you can access it. Found error in /usr/lib/alterator/backend3/net-domain: $ grep -A5 -B5 /tmp/ /usr/lib/alterator/backend3/net-domain ## https://www.altlinux.org/ActiveDirectory/DC ad_provision_domain() { local domain_name="$1" shift local log="/tmp/samba-dc-provision-$(date +%d.%m.%Y-%H:%M:%S)-$domain_n... [the rest of the message is skipped]
alterator-net-domain-0.7.0-alt8.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/ipa-sh-functions
altsp-test-scripts-1.0-alt1.x86_64
info
missing-url Missing Url: in a package.
altsp-test-scripts-1.0-alt1.x86_64
info
rpm-obsolete-live-package The package obsoletes the package spt7-test-scripts-1.4-alt1.x86_64, but the package spt7-test-scripts-1.4-alt1.x86_64 is still alive and in the repository. Ask its maintainer to remove it, or, if it should not be removed, remove the Obsoletes: tag. Do not forget to add explicit conflicts with the other package if nessessary.
altsp-test-scripts-debuginfo-1.0-alt1.x86_64
info
missing-url Missing Url: in a package.
branding-alt-server-9.0-alt1.x86_64
info
requires-ImageMagick Dependency on ImageMagick (compat package) found. It probably should be replaced with more specific dependency like /usr/bin/convert or ImageMagick-tools, or it can be already autodetected by findreq-shell.
branding-alt-server-bootloader-9.0-alt1.x86_64
warn
rpm-obsolete-self The package obsoletes itself. Must be an error in spec file. Please provide Obsoletes: with the valid value.
branding-alt-server-release-9.0-alt1.noarch
warn
rpm-obsolete-self The package obsoletes itself. Must be an error in spec file. Please provide Obsoletes: with the valid value.
branding-alt-server-notes-9.0-alt1.noarch
warn
file-in-usr-marked-as-conffile Files below /usr may not be marked as conffiles, since /usr might be mounted read-only and thus, the local system administrator would not have a chance to modify this configuration file.
branding-alt-server-notes-9.0-alt1.noarch
warn
rpm-filesystem-conflict-file-file Files /usr/share/alt-notes/release-notes.all.html /usr/share/alt-notes/release-notes.ru.html conflict with the package alt-notes-school-server-4.1-alt3.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. Files /usr/share/alt-notes/release-notes.all.html /usr/share/alt-notes/release-notes.ru.html conflict with the package branding-alt-sisyphus-notes-20190624-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
branding-alt-server-graphics-9.0-alt1.noarch
warn
rpm-obsolete-self The package obsoletes itself. Must be an error in spec file. Please provide Obsoletes: with the valid value.
branding-alt-server-indexhtml-9.0-alt1.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package branding-alt-sisyphus-indexhtml-20190624-alt1.noarch, for example, /usr/share/applications/indexhtml.desktop (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
branding-alt-server-alterator-9.0-alt1.noarch
warn
rpm-filesystem-conflict-symlink-file symlink /usr/share/alterator/design/images/steps/datetime.png is a file in the package branding-alt-sisyphus-alterator-20190624-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/share/alterator/design/images/steps/finish.png is a file in the package branding-alt-sisyphus-alterator-20190624-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/share/alterator/design/images/steps/greeting.png is a file in the package branding-alt-sisyphus-alterator-20190624-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/share/alterator/design/images/steps/install.png is a file in the package bran... [the rest of the message is skipped]
branding-alt-server-alterator-9.0-alt1.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package branding-alt-sisyphus-alterator-20190624-alt1.noarch, for example, /usr/share/alterator/design/images/attention.gif (11 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
branding-alt-server-bootsplash-9.0-alt1.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
csync-0.50.6-alt1.x86_64
info
missing-url Missing Url: in a package.
csync-debuginfo-0.50.6-alt1.x86_64
info
missing-url Missing Url: in a package.
cups-2.2.12-alt2.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
cups-2.2.12-alt2.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/cups.desktop: hint: value item "Printing" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: HardwareSettings;Settings /usr/share/applications/cups.desktop: hint: value item "HardwareSettings" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Settings
cups-2.2.12-alt2.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
cups-2.2.12-alt2.x86_64
experimental
systemd-check-socket-name in cups-2.2.12-alt2.x86_64: there is a socket cups-lpd.socket but no service cups-lpd.service. Ask ildar@ why it is not right. in cups-2.2.12-alt2.x86_64: there is a socket org.cups.cups-lpd.socket but no service org.cups.cups-lpd.service. Ask ildar@ why it is not right.
cups-2.2.12-alt2.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/cups
cups-filter-sl-watermark-0.4-alt1.noarch
info
missing-url Missing Url: in a package.
cups-ipptool-2.2.12-alt2.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
gpsd-3.19-alt2.x86_64
warn
systemd-but-no-native-init The package have native systemd file(s) but no SysV init scripts.
installer-distro-centaurus-stage2-9.0-alt1.x86_64
warn
rpm-filesystem-conflict-file-file Files /usr/share/install2/alterator-menu/module-order-list /usr/share/install2/preinstall.d/80-setup-user-groups conflict with the package installer-distro-alt-server-v-stage2-9.0.0-alt2.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. There are file conflicts with the package installer-distro-altlinux-desktop-stage2-8.1.0-alt1.noarch, for example, /usr/share/install2/alterator-menu/module-expert-list (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. Files /usr/share/install2/alterator-menu/module-expert-list /usr/share/install2/alterator-menu/module-order-list /usr/share/install2/installer-steps conflict with the package installer-distro-altlinux-generic-stage2-7.0.3-alt1.noarch. Moreover, the packages have no explicit confli... [the rest of the message is skipped]
installer-feature-alphabet-profiles-1.0-alt2.noarch
warn
rpm-filesystem-conflict-file-file File /usr/share/install2/prepkg.d/50-groups.sh conflicts with the package installer-feature-centaurus-profiles-2.0-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/prepkg.d/50-groups.sh conflicts with the package installer-feature-spt-profiles-0.6-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
installer-feature-centaurus-profiles-2.0-alt1.noarch
warn
rpm-filesystem-conflict-file-file File /usr/share/install2/prepkg.d/50-groups.sh conflicts with the package installer-feature-alphabet-profiles-1.0-alt2.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/prepkg.d/50-groups.sh conflicts with the package installer-feature-spt-profiles-0.6-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
installer-feature-cmdline-parameters-stage2-0.2-alt1.noarch
warn
rpm-package-is-obsoleted The package is obsoleted by the package installer-common-stage2-1.10.1-alt1.x86_64, but is still alive and in the repository. Consider removing the package, or, if you want the package to be alive, ask the maintainer of installer-common-stage2-1.10.1-alt1.x86_64 to remove Obsoletes: tag.
installer-feature-setup-openldap-0.3-alt1.noarch
warn
rpm-package-is-obsoleted The package is obsoleted by the package alt-domain-server-0.5.3-alt1.noarch, but is still alive and in the repository. Consider removing the package, or, if you want the package to be alive, ask the maintainer of alt-domain-server-0.5.3-alt1.noarch to remove Obsoletes: tag.
installer-feature-setup-bootloader-stage2-0.1-alt1.noarch
warn
rpm-package-is-obsoleted The package is obsoleted by the package installer-common-stage2-1.10.1-alt1.x86_64, but is still alive and in the repository. Consider removing the package, or, if you want the package to be alive, ask the maintainer of installer-common-stage2-1.10.1-alt1.x86_64 to remove Obsoletes: tag.
kmod-sign-4.18-alt2.x86_64
info
missing-url Missing Url: in a package.
kmod-sign-debuginfo-4.18-alt2.x86_64
info
missing-url Missing Url: in a package.
lastlog-notification-0.3-alt1.noarch
info
missing-url Missing Url: in a package.
lastlog-notification-0.3-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/lastlog-notification-show
libcsync-0.50.6-alt1.x86_64
info
missing-url Missing Url: in a package.
libcsync-debuginfo-0.50.6-alt1.x86_64
info
missing-url Missing Url: in a package.
libcsync-devel-0.50.6-alt1.x86_64
info
missing-url Missing Url: in a package.
libtclap-1.2.1-alt1.i586
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/doc/tclap/html/ArgException_8h.html /usr/share/doc/tclap/html/ArgException_8h_source.html /usr/share/doc/tclap/html/ArgTraits_8h.html /usr/share/doc/tclap/html/ArgTraits_8h_source.html /usr/share/doc/tclap/html/Arg_8h.html /usr/share/doc/tclap/html/Arg_8h_source.html /usr/share/doc/tclap/html/CmdLineInterface_8h.html /usr/share/doc/tclap/html/CmdLineInterface_8h_source.html /usr/share/doc/tclap/html/CmdLineOutput_8h.html /usr/share/doc/tclap/html/CmdLineOutput_8h_source.html /usr/share/doc/tclap/html/CmdLine_8h.html /usr/share/doc/tclap/html/CmdLine_8h_source.html /usr/share/doc/tclap/html/Constraint_8h.html /usr/share/doc/tclap/html/Constraint_8h_source.html /usr/share/doc/tclap/html/DocBookOutput_8h.html /usr/share/doc/tclap/html/DocBookOutput_8h_source.html /usr/share/doc/tclap/html/HelpVisitor_8h.html /usr/share/doc/tclap/html/HelpVisitor_8h_source.html /usr/share/doc/tclap/html/IgnoreRestVisitor_8h.html /usr/share/doc/t... [the rest of the message is skipped]
libtclap-1.2.1-alt1.i586
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/doc/tclap/html/ArgException_8h.html /usr/share/doc/tclap/html/ArgException_8h_source.html /usr/share/doc/tclap/html/ArgTraits_8h.html /usr/share/doc/tclap/html/ArgTraits_8h_source.html /usr/share/doc/tclap/html/Arg_8h.html /usr/share/doc/tclap/html/Arg_8h_source.html /usr/share/doc/tclap/html/CmdLineInterface_8h.html /usr/share/doc/tclap/html/CmdLineInterface_8h_source.html /usr/share/doc/tclap/html/CmdLineOutput_8h.html /usr/share/doc/tclap/html/CmdLineOutput_8h_source.html /usr/share/doc/tclap/html/CmdLine_8h.html /usr/share/doc/tclap/html/CmdLine_8h_source.html /usr/share/doc/tclap/html/Constraint_8h.html /usr/share/doc/tclap/html/Constraint_8h_source.html /usr/share/doc/tclap/html/DocBookOutput_8h.html /usr/share/doc/tclap/html/DocBookOutput_8h_source.html /usr/share/doc/tclap/html/HelpVisitor_8h.html /usr/share/doc/tclap/html/HelpVisitor_8h_source.html /usr/share/doc/tclap/html/IgnoreRestVisitor_8h.html /usr/share/doc/t... [the rest of the message is skipped]
linux-gpib-4.2.0-alt3.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/doc/linux-gpib-4.2.0/tcl-examples/.xsetup
linux-gpib-4.2.0-alt3.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/doc/linux-gpib-4.2.0/tcl-examples/.xsetup
linux-gpib-4.2.0-alt3.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
livecd-gnome-nowarn-space-0.3-alt1.noarch
info
missing-url Missing Url: in a package.
mkfakepkg-0.1-alt1.noarch
info
missing-url Missing Url: in a package.
mkfakepkg-0.1-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/mkfakepkg
mkimage-profiles-office-server-5.0.0-alt2.noarch
info
missing-url Missing Url: in a package.
paxctl-0.9-alt1.x86_64
info
missing-url Missing Url: in a package.
paxctl-debuginfo-0.9-alt1.x86_64
info
missing-url Missing Url: in a package.
pyneighborhood-settings-desktop-0.1-alt1.noarch
info
missing-url Missing Url: in a package.
spt7-test-scripts-1.4-alt1.x86_64
warn
rpm-package-is-obsoleted The package is obsoleted by the package altsp-test-scripts-1.0-alt1.x86_64, but is still alive and in the repository. Consider removing the package, or, if you want the package to be alive, ask the maintainer of altsp-test-scripts-1.0-alt1.x86_64 to remove Obsoletes: tag.
spt7-test-scripts-1.4-alt1.x86_64
info
missing-url Missing Url: in a package.
spt7-test-scripts-debuginfo-1.4-alt1.x86_64
info
missing-url Missing Url: in a package.
startup-rescue-0.32-alt2.x86_64
fail
init-condrestart /etc/rc.d/init.d/rescue-remote: missing condrestart target. ERROR: alt-specific script %_sbindir/post_service (used in your %post_service macro) depends on condrestart. Please, fix./etc/rc.d/init.d/sysreport: missing condrestart target. ERROR: alt-specific script %_sbindir/post_service (used in your %post_service macro) depends on condrestart. Please, fix.
startup-rescue-0.32-alt2.x86_64
fail
init-lsb /etc/rc.d/init.d/rescue-remote: not systemd compatible: lsb init header missing and rescue-remote.service is not present. /etc/rc.d/init.d/sysreport: not systemd compatible: lsb init header missing and sysreport.service is not present. See http://www.altlinux.org/Services_Policy for details.
startup-rescue-0.32-alt2.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
startup-rescue-0.32-alt2.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/rescue-shell /etc/rc.d/init.d/rescue-remote
viking-1.7.0-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/icons/hicolor/icon-theme.cache
viking-1.7.0-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/icons/hicolor/icon-theme.cache
viking-1.7.0-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/viking.desktop: hint: value "GTK;Science;Maps;Geography;Education;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
volumes-profile-centaurus-0.13-alt1.noarch
warn
rpm-filesystem-conflict-file-file File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-cliff-server-0.17-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-jeos-0.2-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-kdesktop-0.8.0-alt2.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-lite-0.4.1-alt1.noarch. Moreover, ... [the rest of the message is skipped]
volumes-profile-cliff-server-0.17-alt1.noarch
warn
rpm-filesystem-conflict-file-file File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-centaurus-0.13-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-jeos-0.2-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-kdesktop-0.8.0-alt2.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-lite-0.4.1-alt1.noarch. Moreover, the... [the rest of the message is skipped]
volumes-profile-master-0.2-alt1.noarch
warn
rpm-filesystem-conflict-file-file File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-centaurus-0.13-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-cliff-server-0.17-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-jeos-0.2-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/install2/initinstall.d/10-vm-profile.sh conflicts with the package volumes-profile-kdesktop-0.8.0-alt2.noarch. Moreov... [the rest of the message is skipped]
xorg-conf-right-click-ungrab-0.1-alt1.noarch
info
missing-url Missing Url: in a package.
zram-swap-0.2-alt4.noarch
fail
init-lsb /etc/rc.d/init.d/zram-swap: not systemd compatible: lsb init header missing and zram-swap.service is not present. See http://www.altlinux.org/Services_Policy for details.
zram-swap-0.2-alt4.noarch
info
missing-url Missing Url: in a package.
zram-swap-0.2-alt4.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
 
projeto & código: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
mantenedor atual: Michael Shigorin
mantenedor da tradução: Fernando Martini aka fmartini © 2009